#include <utils/guile.hh>
#include <command.hh>

// list has following format:
// (cmdname attrname1 attrvalue1 attrname2 attrvalue2 ...)
//
command& list_to_cmd(scm::scm list, command& cmd)
{
	scm::scm prn = scm::variable_ref("display");

	cmd = command();
	if(pair_p(list))
	{
		cmd.name(to_string(car(list), prn).as_str());
		list = cdr(list);
		while(pair_p(list) && pair_p(cdr(list)))
		{
			cmd(to_string(car(list), prn).as_str(),
					to_string(cadr(list), prn).as_str());
			list = cddr(list);
		}
	}
	return cmd;
}
